Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezimagecatalogue/user/filedownload.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $watermarkToggle = $ini->variable( "watermark", "watermarkEnabled" ) == "true" ? true : false
| $file = new eZImage( $ImageID )
| $fileName = $file->name()
| $originalFileName = $file->originalFileName()
| $filePath = $file->filePath( true )
if( $watermarkToggle==true) | $user =& eZUser::currentUser()
| $image = new eZImage( $ImageID )
if(eZObjectPermission::hasPermission( $image->id(), "imagecatalogue_image", "r", $user)==false) | $fileSize = eZPBFile::filesize( $filePath )
| $fp = eZPBFile::fopen( $filePath, "r" )
| $content =& fread( $fp, $fileSize )
if( $watermarkToggle==true) | else
| $fh = eZPBFile::fopen( "$filePath", "rb" )

## Variable Documentation

## ◆ $content

$content =& fread( $fp, $fileSize )

Definition at line 63 of file ezimagecatalogue/user/filedownload.php.

## ◆ $fh

$fh = eZPBFile::fopen( "$filePath", "rb" )

Definition at line 93 of file ezimagecatalogue/user/filedownload.php.

## ◆ $file

$file = new eZImage( $ImageID )

Definition at line 37 of file ezimagecatalogue/user/filedownload.php.

## ◆ $fileName

$fileName = $file->name()

Definition at line 40 of file ezimagecatalogue/user/filedownload.php.

## ◆ $filePath

$filePath = $file->filePath( true )

Definition at line 42 of file ezimagecatalogue/user/filedownload.php.

## ◆ $fileSize

if (eZObjectPermission::hasPermission($image->id(), "imagecatalogue_image", "r", $user)==false) $fileSize = eZPBFile::filesize( $filePath )

Definition at line 61 of file ezimagecatalogue/user/filedownload.php.

## ◆ $fp

$fp = eZPBFile::fopen( $filePath, "r" )

Definition at line 62 of file ezimagecatalogue/user/filedownload.php.

## ◆ $image

$image = new eZImage( $ImageID )

Definition at line 51 of file ezimagecatalogue/user/filedownload.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file ezimagecatalogue/user/filedownload.php.

## ◆ $originalFileName

$originalFileName = $file->originalFileName()

Definition at line 41 of file ezimagecatalogue/user/filedownload.php.

## ◆ $user

if ($watermarkToggle==true) $user =& eZUser::currentUser()

Definition at line 50 of file ezimagecatalogue/user/filedownload.php.

## ◆ $watermarkToggle

$watermarkToggle = $ini->variable( "watermark", "watermarkEnabled" ) == "true" ? true : false

Definition at line 35 of file ezimagecatalogue/user/filedownload.php.

## ◆ else

if ($watermarkToggle==true) else

Initial value:
{
header( "Cache-Control:" )

Definition at line 86 of file ezimagecatalogue/user/filedownload.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.